version: '3.8'

services:
  kibana-test:
    container_name: temp-kibana-test
    image: kibana:7.17.28
    environment:
      - ELASTICSEARCH_HOSTS=http://elasticsearch:9200
      - ELASTICSEARCH_USERNAME=elastic
      - ELASTICSEARCH_PASSWORD=YourSecureESPass123!
      - ELASTICSEARCH_SSL_VERIFICATIONMODE=none
      - SERVER_NAME=kibana-test
      - SERVER_HOST=0.0.0.0
    ports:
      - "5602:5601"
    networks:
      - prod_network
    restart: unless-stopped

networks:
  prod_network:
    external: true
    name: prod_network
